---
title: "Otodom API: Search | Perceptlayer"
description: "Search from Otodom as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/otodom/search
---

[APIs](https://perceptlayer.com/apis) / [Otodom](https://perceptlayer.com/apis/otodom) / Search

# Otodom: Search

Search from Otodom as JSON. 1 credit per successful call.

GET `/v1/otodom/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `transaction` | string | Required | sprzedaz, wynajem |
| `estate_slug` | string | Required | mieszkanie, kawalerka, dom, lokal, dzialka, garaz, haleimagazyny, pokoj, inwestycja, mieszkanie,rynek-pierwotny, mieszkanie,rynek-wtorny, kawalerka,rynek-pierwotny |
| `geo_path` | string | Required | Any |
| `price_min` | integer | Optional | Any |
| `price_max` | integer | Optional | Any |
| `area_min` | integer | Optional | Any |
| `area_max` | integer | Optional | Any |
| `price_per_meter_min` | integer | Optional | Any |
| `build_year_min` | integer | Optional | Any |
| `floors_number_min` | integer | Optional | Any |
| `days_since_created` | integer | Optional | Any |
| `rooms_number[]` | list of string | Optional | ONE, TWO, THREE, FOUR, FIVE, SIX\_OR\_MORE |
| `extras[]` | list of string | Optional | BALCONY, LIFT, GARAGE, AIR\_CONDITIONING, HEATING, FURNISHED, WASHING\_MACHINE, DISHWASHER, FRIDGE, INTERNET, GARDEN, BASEMENT, ELEVATOR, SECURITY, OUTBUILDING, BALCONY\_OR\_TERRACE |
| `owner_type` | string | Optional | DEVELOPER, PRIVATE, AGENCY |
| `is_private_owner` | boolean | Optional | Any |
| `has_discount` | string | Optional | 1 |
| `view_type` | string | Optional | map, listing |
| `distance_radius` | integer | Optional | Any |
| `by` | string | Optional | DEFAULT, LATEST, PRICE, AREA |
| `direction` | string | Optional | ASC, DESC |
| `page` | integer | Optional | Any |
| `limit` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/otodom/search?transaction=sprzedaz&estate_slug=mieszkanie%2Crynek-pierwotny&geo_path=mazowieckie%2Fwarszawa%2Fwarszawa%2Fwarszawa&limit=5" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/otodom?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
